package com.njcn.csdevice.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.csdevice.param.IcdBzParam;
import com.njcn.csdevice.param.IcdBzReplyParam;
import com.njcn.csdevice.pojo.po.CsTerminalReply;
import com.njcn.csdevice.pojo.vo.CldLogsVo;
import com.njcn.web.pojo.param.BaseParam;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xy
 * @since 2025-10-09
 */
public interface ICsTerminalReplyService extends IService<CsTerminalReply> {

    List<String> queryReplyData();

    void updateReplyData(IcdBzReplyParam param);

    List<CsTerminalReply> getBzReplyData(String lineId);

    Page<CldLogsVo> getBzLogs(BaseParam param);

    void updateBzData(IcdBzReplyParam param);

}
